Edgewall Software
Modify

Opened 2 years ago

Closed 2 years ago

Last modified 5 weeks ago

#11796 closed defect (fixed)

DistributionNotFound: Pygments>=0.6" not found if Pygments==2.0rc1

Reported by: Jun Omae Owned by: Jun Omae
Priority: normal Milestone: 1.0.3
Component: general Version: 1.0-stable
Severity: normal Keywords: pygments
Cc:
Release Notes:

Add support for Pygments 2.0.

API Changes:

Description (last modified by Jun Omae)

Currently, version of pypi:Pygments is 2.0rc1. If it is installed, cannot load trac.mimeview.pygments.

12:29:34 PM Trac[loader] DEBUG: Skipping "trac.mimeview.pygments = trac.mimeview.pygments [pygments]": ("DistributionNotFound: Pygments>=0.6" not found)

Instead, works well with Pygments 1.6.

$ /dev/shm/trac-1.0.2/bin/pip freeze
Babel==0.9.6
Genshi==0.6
Pygments==2.0rc1
Trac==1.0.2
argparse==1.2.1
distribute==0.6.24
wsgiref==0.1.2
Python 2.7.3 (default, Feb 27 2014, 19:58:35)
[GCC 4.6.3] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import trac.mimeview.pygments
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/dev/shm/trac-1.0.2/local/lib/python2.7/site-packages/trac/mimeview/pygments.py", line 37, in <module>
    HtmlFormatter = pygments.formatters.html.HtmlFormatter
  File "/dev/shm/trac-1.0.2/local/lib/python2.7/site-packages/pygments/formatters/__init__.py", line 111, in __getattr__
    raise AttributeError(name)
AttributeError: html

Attachments (0)

Change History (14)

comment:1 Changed 2 years ago by Jun Omae

Description: modified (diff)

comment:2 Changed 2 years ago by Christian Boos

Strange…

Python 2.7.8 (default, Jun 30 2014, 16:03:49) [MSC v.1500 32 bit (Intel)] on win32
Type "help", "copyright", "credits" or "license" for more information.
Module readline not available.

>>> import trac.mimeview.pygments
>>> import pygments
>>> pygments.__version__
'2.0rc1'

(installed via easy_install pygments)

I then used pip to uninstall/install it again, same result, no error for me.

comment:3 Changed 2 years ago by Jun Omae

Milestone: next-stable-1.0.x0.12.7
Owner: set to Jun Omae
Status: newassigned

The issue is reproduced with 0.12-stable and 1.0-stable. No error with trunk.

Proposed changes in [4580ae4f/jomae.git] (jomae.git@t11796_1.0) and [930ea97a/jomae.git] (jomae.git@t11796_0.12). Confirmed with Pygments 0.6 through 2.0rc1.

comment:4 Changed 2 years ago by Jun Omae

Hmmm, I get the error for me on both Linux and Windows.

Python 2.7.5 (default, May 15 2013, 22:43:36) [MSC v.1500 32 bit (Intel)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> import trac.mimeview.pygments
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "trac\mimeview\pygments.py", line 37, in <module>
    HtmlFormatter = pygments.formatters.html.HtmlFormatter
  File "C:\usr\src\trac\venv\t11796\lib\site-packages\pygments\formatters\__init__.py", line 111, in __getattr__
    raise AttributeError(name)
AttributeError: html
>>> import pygments
>>> pygments.__version__
'2.0rc1'

comment:5 Changed 2 years ago by Ryan J Ollos

I can reproduce the issue shown in comment:4 for Trac 0.12.6 and Trac 1.0.2 with Python 2.7.6 and Pygments 2.0rc1 on Ubuntu 14.04. No error with Trac 1.1.2.

comment:6 in reply to:  3 ; Changed 2 years ago by Christian Boos

Replying to jomae:

The issue is reproduced with 0.12-stable and 1.0-stable. No error with trunk.

My bad, I checked trunk only.

Proposed changes in [4580ae4f/jomae.git] (jomae.git@t11796_1.0) and [930ea97a/jomae.git] (jomae.git@t11796_0.12). Confirmed with Pygments 0.6 through 2.0rc1.

What's your take on the question of having a last 0.12.7 bugfix release vs. keeping 0.12-stable as it is and save 0.12.7 for a security fix release, should the latter be needed?

comment:7 in reply to:  6 Changed 2 years ago by Jun Omae

Milestone: 0.12.71.0.3

Replying to cboos:

What's your take on the question of having a last 0.12.7 bugfix release vs. keeping 0.12-stable as it is and save 0.12.7 for a security fix release, should the latter be needed?

Retargeting 1.0.3 for this is okay to me. The issue is minor and it's easy to prevent it by a user.

However, I think we should have a last 0.12.7 bugfix release. We didn't import latest translations for 0.12-stable contributed by translators on Transifex in releasing 0.12.6. This is that we ignore contributors' work and time, I think.

IMO, I have interest on 0.12-stable because our company still uses 0.12-stable for Trac hosting. Of course, we have a plan which these migrate to 1.0-stable….

Last edited 2 years ago by Jun Omae (previous) (diff)

comment:8 Changed 2 years ago by Jun Omae

Release Notes: modified (diff)
Resolution: fixed
Status: assignedclosed

Committed in [13264] and record-only merge in [13265].

Pygments 2.0 has been released on 2014-11-09.

comment:9 Changed 2 years ago by anonymous

Any chance we have 1.0.3 released sooner than January 2015?

comment:10 in reply to:  9 Changed 2 years ago by Christian Boos

[OT]

Replying to anonymous:

Any chance we have 1.0.3 released sooner than January 2015?

TracDownload#Tracstable

It's usually just fine to install from source (even more so shortly after releases).

comment:11 Changed 2 years ago by anonymous

It's not so off topic, since this issue is a sort of breaking one.

Thanks for the reply, though.

comment:12 Changed 2 years ago by Jun Omae

#11820 was closed as duplicate.

comment:13 in reply to:  11 Changed 2 years ago by Ryan J Ollos

Replying to anonymous:

It's not so off topic, since this issue is a sort of breaking one.

Thanks for the reply, though.

See #11827 for information on the next release.

comment:14 Changed 5 weeks ago by Luke1410

Just ran into this issue myself with Trac 0.12.7 —- wouldn't it be reasonable to backport this change to 0.12.8?

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Jun Omae.
The resolution will be deleted. Next status will be 'reopened'.
to The owner will be changed from Jun Omae to the specified user.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.